%if 0%{?suse_version}
%define phpdir /usr/share/php5
%define daemon_group www
%else
%define phpdir /usr/share/php
%define daemon_group apache
%endif
Summary: op5 common auth and logging code
Name: php-op5lib
Version: 1.2.1
Release: op5.1
License: GPLv2
Group: op5/system-addons
URL: http://www.op5.se
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
Prefix: /usr
Requires: op5-monitor-user
Requires: monitor-command
Obsoletes: op5auth < 2
Provides: op5auth = 2
%if 0%{?suse_version}
Requires: php53
Requires: php53-ldap
Requires: php53-posix
Requires: php53-ctype
Requires: php53-json
BuildRequires: php53
BuildRequires: php53-ctype
BuildRequires: php53-json
BuildRequires: php53-ldap
BuildRequires: php53-posix
%else
Requires: php-ldap
BuildRequires: php-ldap
BuildRequires: php
%if 0%{?rhel} >= 6 || 0%{?rhel_version} >=600 || 0%{?centos_version} >=600
BuildRequires: php-process
Requires: php-process
%endif
%endif


%description
PHP libraries and configurations shared between many op5 projects

%prep
%setup -q

%install
rm -rf %buildroot
make install SYSCONFDIR=%buildroot%_sysconfdir PREFIX=%buildroot%prefix PHPDIR=%buildroot%phpdir ETC_USER=$(id -un) ETC_GROUP=$(id -gn)
mkdir -p %buildroot/var/log/op5

%post
if [ -f /etc/cron.d/update-users ]; then
	rm -f /etc/cron.d/update-users
fi
php %phpdir/op5/convert_ldapconfig.php
php %phpdir/op5/convert_ldaprights.php
php %phpdir/op5/migrate_auth.php
php %phpdir/op5/upgrade/auth_users_v1.php
if [ -f /opt/op5sys/etc/ldapserver ]; then
	mkdir -p /opt/op5sys/etc/old_ldap_settings
	mv /opt/op5sys/etc/ldapserver /opt/op5sys/etc/old_ldap_settings/
fi
if [ -f /opt/op5sys/etc/ldapbindpw ]; then
	mkdir -p /opt/op5sys/etc/old_ldap_settings
	mv /opt/op5sys/etc/ldapbindpw /opt/op5sys/etc/old_ldap_settings/
fi
if [ -f /opt/op5sys/etc/ldaprights.cfg ]; then
	mkdir -p /opt/op5sys/etc/old_ldap_settings
	mv /opt/op5sys/etc/ldaprights.cfg /opt/op5sys/etc/old_ldap_settings/
fi

%files
%defattr(-,root,root)
%dir %attr(775,monitor,%daemon_group) %_sysconfdir/op5
%config(noreplace) %attr(660,monitor,%daemon_group) %_sysconfdir/op5/*.yml
%phpdir/op5
%prefix/bin/op5-manage-users
%dir %attr(775,monitor,%daemon_group) /var/log/op5

%clean
rm -rf %buildroot


%changelog
* Mon Feb 11 2013 Max Sikström <msikstrom@op5.com>
- Refactored paths to make it possible to point to git repo from php include_path

* Fri Nov 9 2012 Henrik Smederöd <hsmederod@op5.com>
- Added creation of log directory

* Sat Oct 20 2012 Andreas Ericsson <ae@op5.com>
- Change installed layout to match LSB instead of homecooked stuff

* Tue Oct 9 2012 Robin Sonefors <robin@op5.com>
- Initial specfile creation.
